Summary:   An automated Perl front end for MPlayer/Mencoder
Name:      acidrip
Version:   0.14
Release:   12%{?dist}
License:   GPLv2
Source:    http://sourceforge.net/projects/acidrip/%{name}-%{version}.tar.gz
Patch:     no-tests.patch
URL:       http://untrepid.com/acidrip/
BuildArch: noarch
BuildRequires: lsdvd perl-Glib
BuildRequires: perl-Gtk2
BuildRequires: mplayer
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: desktop-file-utils
BuildRequires: make
BuildRequires: perl-devel
BuildRequires: perl-generators
BuildRequires: perl-interpreter
BuildRequires: perl-macros

Requires:  perl lsdvd mplayer
Provides:  perl(AcidRip::acidrip) = %{version}-%{release}
Provides:  perl(AcidRip::interface) = %{version}-%{release}
Provides:  perl(AcidRip::signals) = %{version}-%{release}
Provides:  perl(AcidRip::messages) = %{version}-%{release}
Requires:  mencoder

%description
AcidRip is an automated front end for MPlayer/Mencoder 
written in Perl, using Gtk::Perl for a graphical interface. 
Makes encoding a DVD just one button click!

%prep
%setup -q
%patch -p1 -b .no-tests

%build
CFLAGS=$RPM_OPT_FLAGS \
perl Makefile.PL INSTALLDIRS=vendor \
     PREFIX=%{buildroot}%{_prefix} \
     LIB=%{buildroot}%{perl_vendorlib}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

%makeinstall
rm -rf %{buildroot}%{perl_vendorlib}/*-linux-thread-multi*

# desktop menu and icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications

mv %{buildroot}%{perl_vendorlib}/AcidRip/logo.png \
   %{buildroot}/%{_datadir}/pixmaps/%{name}.png

cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Acidrip
Comment=An automated front end for MPlayer/Mencoder
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;
EOF

desktop-file-install --vendor "" --delete-original \
  --dir %{buildroot}%{_datadir}/applications       \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%files 
%defattr(-, root, root)
%doc CHANGELOG COPYING MANIFEST TODO
%attr(755,root,root) %{_bindir}/%{name}
%{perl_vendorlib}/AcidRip/*.pm
%{_mandir}/man1/%{name}*.gz
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue May 11 2021 josef radinger <cheese@nosuchhost.net> - 0.14-12
- cleanup specfile
- add make to buildrequires
- add BuildRequires:  perl-devel
  BuildRequires:  perl-generators
  BuildRequires:  perl-interpreter
  BuildRequires:  perl-macros

* Thu May 31 2018 josef radinger <cheese@nosuchhost.net> - 0.14-11
- Requires perl-GTK2
- fix usage of %{evr} in Requires

* Sun Oct 26 2014 josef radinger <cheese@nosuchhost.net> - 0.14-10
- Requires mencoder

* Sun Oct 26 2014 josef radinger <cheese@nosuchhost.net> - 0.14-9
- initial version

* Sat Aug 31 2013 - Paulo Roma <roma@lcg.ufrj.br> 0.14-8
- Added BR perl(ExtUtils::MakeMaker).

* Fri Sep 24 2010 - Paulo Roma <roma@lcg.ufrj.br> 0.14-7
- Installing in %%{perl_vendolib}.

* Sat Dec 21 2008 - Paulo Roma <roma@lcg.ufrj.br> 0.14-6
- Replaced %%{_arch}-linux-thread-multi for
  *-linux-thread-multi

* Sat Dec 20 2008 - Paulo Roma <roma@lcg.ufrj.br> 0.14-5
- Installing in %%{perl_vendorarch}.
- Made setup quiet.
- Versioning all Provides.

* Sat Jun 08 2007 - Paulo Roma <roma@lcg.ufrj.br> 0.14-4
- Added missing BRs.
- Moved logo.xpm to the appropriate location.
- Creating desktop entry in the spec file.
- Removed tests form Makefile.pl, since the BRs already do that.

* Sat Jun 02 2007 - Paulo Roma <roma@lcg.ufrj.br> 0.14-3
- Rebuilt for Fedora 6.
- Improved spec file.

* Fri Sep 08 2006 - Paulo Roma <roma@lcg.ufrj.br> 0.14-2
- Rebuilt for Fedora 5.

* Sat Jan 21 2006 - Paulo Roma <roma@lcg.ufrj.br> 0.14-1
- Desktop entry and icon.
- Excluded perllocal.pod to avoid conflicts with other packages.

* Mon Apr 5 2004 - Void Main <Void Main AT Somewhere>
  rebuilt stuff

* Fri Sep 27 2002 - Chris Phillips,,, <acid_kewpie\@users.sourceforge.net>
  wrote stuff
